Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5116)
@@ -66,5 +66,5 @@
   ijb=ij_begin
   ije=ij_end
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_sud) ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -127,10 +127,10 @@
   DO    l = 1, klevel
 
-     if(pole_sud) ije=ij_end-iip1
+     IF(pole_sud) ije=ij_end-iip1
      DO  ij = ijb, ije
       gry_out( ij,l ) = gry( ij,l ) * nugradrs
      ENDDO
 
-     if(pole_sud) ije=ij_end
+     IF(pole_sud) ije=ij_end
      DO  ij = ijb, ije
       grx_out( ij,l ) = grx( ij,l ) * nugradrs
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5116)
@@ -47,9 +47,9 @@
 
     TYPE distrib
-      integer :: jj_begin
-      integer :: jj_end
-      integer :: jj_nb
-      integer :: ij_begin
-      integer :: ij_end
+      INTEGER :: jj_begin
+      INTEGER :: jj_end
+      INTEGER :: jj_nb
+      INTEGER :: ij_begin
+      INTEGER :: ij_end
 
       integer  :: jjb_u
@@ -89,11 +89,11 @@
       INCLUDE "iniprint.h"
 
-      integer :: ierr
-      integer :: i,j
-      integer :: type_size
+      INTEGER :: ierr
+      INTEGER :: i,j
+      INTEGER :: type_size
       integer, dimension(3) :: blocklen,type
-      integer :: comp_id
-      character(len=4)  :: num
-      character(len=20) :: filename
+      INTEGER :: comp_id
+      CHARACTER(LEN=4)  :: num
+      CHARACTER(LEN=20) :: filename
  
 #ifdef CPP_OMP    
@@ -140,8 +140,7 @@
         if ( i < MOD((jjm+1),mpi_size) ) jj_nb_para(i)=jj_nb_para(i)+1
         
-        if (jj_nb_para(i) <= 1 ) then
-          
-         write(lunout,*)"Arret : le nombre de bande de lattitude par process est trop faible (<2)."
-         write(lunout,*)" ---> diminuez le nombre de CPU ou augmentez la taille en lattitude"
+        if (jj_nb_para(i) <= 1 ) THEN
+         WRITE(lunout,*)"Arret : le nombre de bande de lattitude par process est trop faible (<2)."
+         WRITE(lunout,*)" ---> diminuez le nombre de CPU ou augmentez la taille en lattitude"
           
           IF (using_mpi) CALL MPI_ABORT(COMM_LMDZ,-1, ierr)
@@ -173,5 +172,5 @@
       ij_end=jj_end*iip1
       
-      if (mpi_rank==0) then
+      if (mpi_rank==0) THEN
         pole_nord=.TRUE.
       else 
@@ -179,5 +178,5 @@
       endif
       
-      if (mpi_rank==mpi_size-1) then
+      if (mpi_rank==mpi_size-1) THEN
         pole_sud=.TRUE.
       else 
@@ -185,8 +184,8 @@
       endif
         
-      write(lunout,*)"init_parallel: jj_begin",jj_begin
-      write(lunout,*)"init_parallel: jj_end",jj_end
-      write(lunout,*)"init_parallel: ij_begin",ij_begin
-      write(lunout,*)"init_parallel: ij_end",ij_end
+      WRITE(lunout,*)"init_parallel: jj_begin",jj_begin
+      WRITE(lunout,*)"init_parallel: jj_end",jj_end
+      WRITE(lunout,*)"init_parallel: ij_begin",ij_begin
+      WRITE(lunout,*)"init_parallel: ij_end",ij_end
       jjb_u=MAX(jj_begin-halo_max,1)
       jje_u=MIN(jj_end+halo_max,jjp1)
@@ -395,5 +394,5 @@
       IMPLICIT NONE
 ! without the surface_data module, we declare (and set) a dummy 'type_ocean'
-      character(len=6),parameter :: type_ocean="dummy"
+      CHARACTER(LEN=6),parameter :: type_ocean="dummy"
 #endif
 
@@ -401,6 +400,6 @@
       include "paramet.h"
 
-      integer :: ierr
-      integer :: i
+      INTEGER :: ierr
+      INTEGER :: i
 
       if (allocated(jj_begin_para)) deallocate(jj_begin_para)
@@ -408,5 +407,5 @@
       if (allocated(jj_nb_para))    deallocate(jj_nb_para)
 
-      if (type_ocean == 'couple') then
+      if (type_ocean == 'couple') THEN
 #ifdef CPP_COUPLE
         IF (using_xios) THEN
@@ -446,6 +445,6 @@
       real,dimension(ll*iip1*row), intent(out) :: Buffer 
             
-      integer :: Pos
-      integer :: i,l
+      INTEGER :: Pos
+      INTEGER :: i,l
       
       Pos=0
@@ -469,6 +468,6 @@
       real,dimension(ll*iip1*row), intent(in) :: Buffer 
             
-      integer :: Pos
-      integer :: i,l
+      INTEGER :: Pos
+      INTEGER :: i,l
       
       Pos=0
@@ -538,10 +537,10 @@
         ENDIF
         
-        if (up==0) then
+        if (up==0) THEN
           SendDown=.FALSE.
           RecvUp=.FALSE.
         endif
       
-        if (down==0) then
+        if (down==0) THEN
           SendUp=.FALSE.
           RecvDown=.FALSE.
@@ -630,16 +629,16 @@
       IF (using_mpi) THEN
 
-        if (ij==ip1jmp1) then 
+        if (ij==ip1jmp1) THEN
            allocate(Buffer_send(iip1*ll*(jj_end-jj_begin+1)))
            CALL Pack_Data(Field(ij_begin,1),ij,ll,jj_end-jj_begin+1,Buffer_send)
-        else if (ij==ip1jm) then
+        else if (ij==ip1jm) THEN
            allocate(Buffer_send(iip1*ll*(min(jj_end,jjm)-jj_begin+1)))
            CALL Pack_Data(Field(ij_begin,1),ij,ll,min(jj_end,jjm)-jj_begin+1,Buffer_send)
         else
-           write(lunout,*)ij  
+           WRITE(lunout,*)ij
         CALL abort_gcm("parallel_lmdz","erreur dans Gather_Field",1)
         endif
         
-        if (MPI_Rank==rank) then
+        if (MPI_Rank==rank) THEN
           allocate(Buffer_Recv(ij*ll))
 
@@ -647,7 +646,7 @@
           do i=0,MPI_Size-1
              
-            if (ij==ip1jmp1) then 
+            if (ij==ip1jmp1) THEN
               Recv_count(i)=(jj_end_para(i)-jj_begin_para(i)+1)*ll*iip1
-            else if (ij==ip1jm) then
+            else if (ij==ip1jm) THEN
               Recv_count(i)=(min(jj_end_para(i),jjm)-jj_begin_para(i)+1)*ll*iip1
             else
@@ -655,5 +654,5 @@
             endif
                    
-            if (i==0) then 
+            if (i==0) THEN
               displ(i)=0 
             else
@@ -675,12 +674,11 @@
 !$OMP END CRITICAL (MPI)
       
-        if (MPI_Rank==rank) then                  
-      
-          if (ij==ip1jmp1) then 
+        if (MPI_Rank==rank) THEN
+          if (ij==ip1jmp1) THEN
             do i=0,MPI_Size-1
               CALL Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                 &
                                jj_end_para(i)-jj_begin_para(i)+1,Buffer_Recv(displ(i)+1))
             enddo
-          else if (ij==ip1jm) then
+          else if (ij==ip1jm) THEN
             do i=0,MPI_Size-1
                CALL Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                       &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5116)
@@ -37,6 +37,6 @@
   REAL :: zx_defau, zx_abc, zx_pump(ijb_u:ije_u), pompe
 
-  real :: zx_defau_diag(ijb_u:ije_u,llm,2)
-  real :: q_follow(ijb_u:ije_u,llm,2)
+  REAL :: zx_defau_diag(ijb_u:ije_u,llm,2)
+  REAL :: q_follow(ijb_u:ije_u,llm,2)
   !
   REAL :: SSUM
@@ -55,5 +55,5 @@
 !$OMP BARRIER
 
-  !write(lunout,*) 'qminimum 52: entree'
+  !WRITE(lunout,*) 'qminimum 52: entree'
   IF(first) THEN
      iq_vap = strIdx(tracers(:)%name, addPhase('H2O', 'g'))
@@ -83,10 +83,9 @@
   ENDDO
 
-  !write(lunout,*) 'qminimum 57'
+  !WRITE(lunout,*) 'qminimum 57'
   DO k = 1, llm
 !$OMP DO SCHEDULE(STATIC)
     DO i = ijb, ije
-      if (seuil_liq - q(i,k,iq_liq) > 0.d0 ) then
-
+      if (seuil_liq - q(i,k,iq_liq) > 0.d0 ) THEN
         if (niso > 0) zx_defau_diag(i,k,2)=AMAX1 &
               ( seuil_liq - q(i,k,iq_liq), 0.0 )
@@ -103,5 +102,5 @@
   ! le defaut en prennant de l'eau vapeur de la couche au-dessous.
   !
-  !write(lunout,*) 'qminimum 81'
+  !WRITE(lunout,*) 'qminimum 81'
   DO k = llm, 2, -1
   !cc      zx_abc = dpres(k) / dpres(k-1)
@@ -109,6 +108,5 @@
     DO i = ijb, ije
 
-      if ( seuil_vap - q(i,k,iq_vap) > 0.d0 ) then
-
+      if ( seuil_vap - q(i,k,iq_vap) > 0.d0 ) THEN
         if (niso > 0) zx_defau_diag(i,k,1) &
               = AMAX1( seuil_vap - q(i,k,iq_vap), 0.0 )
@@ -127,5 +125,5 @@
   ! doit imprimer un message d'avertissement (saturation possible).
   !
-  !write(lunout,*) 'qminimum 106'
+  !WRITE(lunout,*) 'qminimum 106'
   nb_pump=0
 !$OMP DO SCHEDULE(STATIC)
@@ -149,7 +147,7 @@
   ENDIF
 
-  !write(lunout,*) 'qminimum 128'
-  if (niso > 0) then
-          !write(lunout,*) 'qminimum 140'
+  !WRITE(lunout,*) 'qminimum 128'
+  if (niso > 0) THEN
+          !WRITE(lunout,*) 'qminimum 140'
   ! CRisi: traiter de même les traceurs d'eau
   ! Mais il faut les prendre à l'envers pour essayer de conserver la
@@ -166,34 +164,34 @@
 !$OMP DO SCHEDULE(STATIC)
   DO i = ijb, ije
-    if (zx_pump(i)>0.0) then
+    if (zx_pump(i)>0.0) THEN
       q_follow(i,1,1)=q_follow(i,1,1)+zx_pump(i)
-    endif !if (zx_pump(i).gt.0.0) then
+    endif !if (zx_pump(i).gt.0.0) THEN
   enddo !DO i = ijb, ije
 !$OMP END DO NOWAIT
 
   ! 2) transfert de vap vers les couches plus hautes
-  !write(lunout,*) 'qminimum 158'
+  !WRITE(lunout,*) 'qminimum 158'
   do k=2,llm
 !$OMP DO SCHEDULE(STATIC)
     DO i = ijb, ije
-      if (zx_defau_diag(i,k,1)>0.0) then
+      if (zx_defau_diag(i,k,1)>0.0) THEN
           ! on ajoute la vapeur en k
-          !  write(lunout,*) 'i,k,q_follow(i,k-1,ivap)=',
+          !  WRITE(lunout,*) 'i,k,q_follow(i,k-1,ivap)=',
   ! :                 i,k,q_follow(i,k-1,1)
-          if (q_follow(i,k-1,1)<min_qParent) then
-            write(lunout,*) 'tmp qmin: on stoppe'
-            write(lunout,*) 'zx_pump(i)=',zx_pump(i)
-            write(lunout,*) 'q_follow(i,:,ivap)=', &
+          if (q_follow(i,k-1,1)<min_qParent) THEN
+            WRITE(lunout,*) 'tmp qmin: on stoppe'
+            WRITE(lunout,*) 'zx_pump(i)=',zx_pump(i)
+            WRITE(lunout,*) 'q_follow(i,:,ivap)=', &
                   q_follow(i,:,1)
-            write(lunout,*) 'k=',k
+            WRITE(lunout,*) 'k=',k
             CALL abort_gcm("qminimum","not enough vapor",1)
           endif
         do ixt=1,ntiso
-             ! write(lunout,*) 'qmin 168: ixt=',ixt
-             ! write(lunout,*) 'q(i,k,iqIsoPha(ixt,iq_vap))=',
+             ! WRITE(lunout,*) 'qmin 168: ixt=',ixt
+             ! WRITE(lunout,*) 'q(i,k,iqIsoPha(ixt,iq_vap))=',
   ! :             q(i,k,iqIsoPha(ixt,iq_vap))
-  !            write(lunout,*) 'zx_defau_diag(i,k,ivap)=',
+  !            WRITE(lunout,*) 'zx_defau_diag(i,k,ivap)=',
   ! :                  zx_defau_diag(i,k,1)
-  !            write(lunout,*) 'q(i,k-1,iqIsoPha(ixt,iq_vap))=',
+  !            WRITE(lunout,*) 'q(i,k-1,iqIsoPha(ixt,iq_vap))=',
   ! :                   q(i,k-1,iqIsoPha(ixt,iq_vap))
 
@@ -202,15 +200,15 @@
                  *q(i,k-1,iqIsoPha(ixt,iq_vap))/q_follow(i,k-1,1)
 
-          if (isoCheck) then
-            if(iso_verif_noNaN_nostop(q(i,k,iqIsoPha(ixt,iq_vap)), &
-                  'qminimum 155')==1) then
-               write(*,*) 'i,k,ixt=',i,k,ixt
-               write(*,*) 'q_follow(i,k-1,ivap)=', &
+          if (isoCheck) THEN
+            IF(iso_verif_noNaN_nostop(q(i,k,iqIsoPha(ixt,iq_vap)), &
+                  'qminimum 155')==1) THEN
+               WRITE(*,*) 'i,k,ixt=',i,k,ixt
+               WRITE(*,*) 'q_follow(i,k-1,ivap)=', &
                      q_follow(i,k-1,1)
-               write(*,*) 'q(i,k,iqIsoPha(ixt,iq_vap))=', &
+               WRITE(*,*) 'q(i,k,iqIsoPha(ixt,iq_vap))=', &
                      q(i,k,iqIsoPha(ixt,iq_vap))
-               write(*,*) 'zx_defau_diag(i,k,ivap)=', &
+               WRITE(*,*) 'zx_defau_diag(i,k,ivap)=', &
                      zx_defau_diag(i,k,1)
-               write(*,*) 'q(i,k-1,iqIsoPha(ixt,iq_vap))=', &
+               WRITE(*,*) 'q(i,k-1,iqIsoPha(ixt,iq_vap))=', &
                      q(i,k-1,iqIsoPha(ixt,iq_vap))
             CALL abort_gcm("qminimum_loc","stopped",1)
@@ -226,16 +224,16 @@
                  /q_follow(i,k-1,1)
 
-           if (isoCheck) then
+           if (isoCheck) THEN
             if (iso_verif_noNaN_nostop( &
                   q(i,k-1,iqIsoPha(ixt,iq_vap)), &
-                  'qminimum 175')==1) then
-               write(*,*) 'k,i,ixt=',k,i,ixt
-               write(*,*) 'q_follow(i,k-1,ivap)=', &
+                  'qminimum 175')==1) THEN
+               WRITE(*,*) 'k,i,ixt=',k,i,ixt
+               WRITE(*,*) 'q_follow(i,k-1,ivap)=', &
                      q_follow(i,k-1,1)
-               write(*,*) 'q(i,k,iqIsoPha(ixt,iq_vap))=', &
+               WRITE(*,*) 'q(i,k,iqIsoPha(ixt,iq_vap))=', &
                      q(i,k,iqIsoPha(ixt,iq_vap))
-               write(*,*) 'zx_defau_diag(i,k,ivap)=', &
+               WRITE(*,*) 'zx_defau_diag(i,k,ivap)=', &
                      zx_defau_diag(i,k,1)
-               write(*,*) 'q(i,k-1,iqIsoPha(ixt,iq_vap))=', &
+               WRITE(*,*) 'q(i,k-1,iqIsoPha(ixt,iq_vap))=', &
                      q(i,k-1,iqIsoPha(ixt,iq_vap))
                CALL abort_gcm("qminimum_loc","stopped",1)
@@ -249,5 +247,5 @@
                 -zx_defau_diag(i,k,1) &
                 *deltap(i,k)/deltap(i,k-1)
-      endif !if (zx_defau_diag(i,k,1).gt.0.0) then
+      endif !if (zx_defau_diag(i,k,1).gt.0.0) THEN
     enddo !DO i = 1, ip1jmp1
 !$OMP END DO NOWAIT
@@ -258,10 +256,9 @@
 
     ! 3) transfert d'eau de la vapeur au liquide
-    !write(*,*) 'qminimum 164'
+    !WRITE(*,*) 'qminimum 164'
     do k=1,llm
 !$OMP DO SCHEDULE(STATIC)
     DO i = ijb, ije
-      if (zx_defau_diag(i,k,2)>0.0) then
-
+      if (zx_defau_diag(i,k,2)>0.0) THEN
           ! on ajoute eau liquide en k en k
           do ixt=1,ntiso
@@ -278,5 +275,5 @@
           q_follow(i,k,1)=   q_follow(i,k,1) &
                 -zx_defau_diag(i,k,2)
-      endif !if (zx_defau_diag(i,k,1).gt.0.0) then
+      endif !if (zx_defau_diag(i,k,1).gt.0.0) THEN
     enddo !DO i = ijb, ije
 !$OMP END DO NOWAIT
@@ -285,6 +282,6 @@
    CALL check_isotopes(q,ijb,ije,'qminimum 197')
 
-  endif !if (niso > 0) then
-  !write(*,*) 'qminimum 188'
+  endif !if (niso > 0) THEN
+  !WRITE(*,*) 'qminimum 188'
 !$OMP BARRIER
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_nfil_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5116)
@@ -31,5 +31,5 @@
   ijb=ij_begin
   ije=ij_end
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_sud) ije=ij_end-iip1
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
   DO  l = 1,klevel
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_p.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_p.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_p.f90	(revision 5116)
@@ -31,5 +31,5 @@
   ijb=ij_begin
   ije=ij_end
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_sud) ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.f90	(revision 5116)
@@ -32,5 +32,5 @@
   ijb=ij_begin
   ije=ij_end
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_sud) ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5116)
@@ -116,5 +116,5 @@
         enddo
      enddo
-      ! write(lunout,*) 'W91 ps', MAXVAL(ps), MINVAL(ps)
+      ! WRITE(lunout,*) 'W91 ps', MAXVAL(ps), MINVAL(ps)
   ! vitesse zonale ucov
      do j=1,jjp1
@@ -130,5 +130,5 @@
         enddo
      enddo
-      ! write(lunout,*) 'W91 u', MAXVAL(ucov(:,1)), MINVAL(ucov(:,1))
+      ! WRITE(lunout,*) 'W91 u', MAXVAL(ucov(:,1)), MINVAL(ucov(:,1))
      ucov_glo(:,1)=ucov_glo(:,1)*cu
   ! vitesse meridienne vcov
@@ -143,5 +143,5 @@
         enddo
      enddo
-     write(lunout,*) 'W91 v', MAXVAL(vcov(:,1)), MINVAL(vcov(:,1))
+     WRITE(lunout,*) 'W91 v', MAXVAL(vcov(:,1)), MINVAL(vcov(:,1))
      vcov_glo(:,1)=vcov_glo(:,1)*cv
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5116)
@@ -13,5 +13,5 @@
   integer, parameter :: suspended = 3 
   
-  integer :: max_size
+  INTEGER :: max_size
   real,    allocatable, dimension(:,:,:) :: timer_table
   real,    allocatable, dimension(:,:,:) :: timer_table_sqr 
@@ -50,9 +50,8 @@
   SUBROUTINE start_timer(no_timer)
     IMPLICIT NONE
-    integer :: no_timer
-    
-    if (AllTimer_IsActive) then
-    
-      if (timer_state(no_timer)/=stopped) then
+    INTEGER :: no_timer
+    
+    if (AllTimer_IsActive) THEN
+      if (timer_state(no_timer)/=stopped) THEN
         CALL abort_gcm("times","start_timer :: timer is already running or suspended",1)
       else
@@ -69,8 +68,8 @@
   SUBROUTINE suspend_timer(no_timer)
     IMPLICIT NONE
-    integer :: no_timer
+    INTEGER :: no_timer
      
-    if (AllTimer_IsActive) then   
-      if (timer_state(no_timer)/=running) then
+    if (AllTimer_IsActive) THEN
+      if (timer_state(no_timer)/=running) THEN
          CALL abort_gcm("times","suspend_timer :: timer is not running",1)
       else
@@ -86,8 +85,8 @@
   SUBROUTINE resume_timer(no_timer)
     IMPLICIT NONE
-    integer :: no_timer
+    INTEGER :: no_timer
      
-    if (AllTimer_IsActive) then   
-      if (timer_state(no_timer)/=suspended) then
+    if (AllTimer_IsActive) THEN
+      if (timer_state(no_timer)/=suspended) THEN
         CALL abort_gcm("times","resume_timer :: timer is not suspended",1)
       else
@@ -103,11 +102,10 @@
     USE parallel_lmdz
     IMPLICIT NONE
-    integer :: no_timer
-    integer :: N
-    real :: V,V2
-    
-    if (AllTimer_IsActive) then
-       
-      if (timer_state(no_timer)/=running) then
+    INTEGER :: no_timer
+    INTEGER :: N
+    REAL :: V,V2
+    
+    if (AllTimer_IsActive) THEN
+      if (timer_state(no_timer)/=running) THEN
         CALL abort_gcm("times","stop_timer :: timer is not running",1)
       else
@@ -123,5 +121,5 @@
       timer_iteration(jj_nb,no_timer,mpi_rank)=timer_iteration(jj_nb,no_timer,mpi_rank)+1
       timer_average(jj_nb,no_timer,mpi_rank)=timer_table(jj_nb,no_timer,mpi_rank)/timer_iteration(jj_nb,no_timer,mpi_rank)
-      if (timer_iteration(jj_nb,no_timer,mpi_rank)>=2) then
+      if (timer_iteration(jj_nb,no_timer,mpi_rank)>=2) THEN
         N=timer_iteration(jj_nb,no_timer,mpi_rank)
 	V2=timer_table_sqr(jj_nb,no_timer,mpi_rank)
@@ -140,13 +138,11 @@
     IMPLICIT NONE
 
-    integer :: ierr
-    integer :: data_size
+    INTEGER :: ierr
+    INTEGER :: data_size
     real, allocatable,dimension(:,:) :: tmp_table
 
     IF (using_mpi) THEN    
    
-      if (AllTimer_IsActive) then
-    
-    
+      if (AllTimer_IsActive) THEN
       allocate(tmp_table(max_size,nb_timer))
     
@@ -169,14 +165,13 @@
     USE lmdz_mpi
     IMPLICIT NONE
-    integer :: ierr
-    integer :: data_size
+    INTEGER :: ierr
+    INTEGER :: data_size
     real, allocatable,dimension(:,:),target :: tmp_table
     integer, allocatable,dimension(:,:),target :: tmp_iter
-    integer :: istats
+    INTEGER :: istats
 
     IF (using_mpi) THEN
         
-      if (AllTimer_IsActive) then
-    
+      if (AllTimer_IsActive) THEN
       allocate(tmp_table(max_size,nb_timer))
       allocate(tmp_iter(max_size,nb_timer))
@@ -199,8 +194,8 @@
   SUBROUTINE InitTime
   IMPLICIT NONE
-    integer :: count,count_rate,count_max
+    INTEGER :: count,count_rate,count_max
     
     AllTimer_IsActive=.TRUE.
-    if (AllTimer_IsActive) then
+    if (AllTimer_IsActive) THEN
       CALL system_clock(count,count_rate,count_max)
       CALL cpu_time(Last_cpuCount)
@@ -212,8 +207,8 @@
   IMPLICIT NONE
     double precision :: DiffTime
-    integer :: count,count_rate,count_max
+    INTEGER :: count,count_rate,count_max
   
     CALL system_clock(count,count_rate,count_max)
-    if (Count>=Last_Count) then
+    if (Count>=Last_Count) THEN
       DiffTime=(1.*(Count-last_Count))/count_rate
     else
@@ -221,15 +216,15 @@
     endif
     Last_Count=Count 
-  end function DiffTime
+  END FUNCTION DiffTime
   
   function DiffCpuTime()
   IMPLICIT NONE
-    real :: DiffCpuTime
-    real :: Count
+    REAL :: DiffCpuTime
+    REAL :: Count
     
     CALL cpu_time(Count)
     DiffCpuTime=Count-Last_cpuCount
     Last_cpuCount=Count 
-  end function DiffCpuTime
+  END FUNCTION DiffCpuTime
 
 end module times
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5116)
@@ -76,5 +76,5 @@
   REAL :: tzon(jjb_u:jje_u,llm)
 
-  integer :: i
+  INTEGER :: i
   REAL,SAVE :: rdamp(llm)
   real,save :: lambda(llm) ! inverse or quenching time scale (Hz)
@@ -85,8 +85,8 @@
   if (iflag_top_bound == 0) return
 
-  if (first) then
+  if (first) THEN
 !$OMP BARRIER
 !$OMP MASTER
-     if (iflag_top_bound == 1) then
+     if (iflag_top_bound == 1) THEN
   ! sponge quenching over the topmost 4 atmospheric layers
          lambda(:)=0.
@@ -95,5 +95,5 @@
          lambda(llm-2)=tau_top_bound/4.
          lambda(llm-3)=tau_top_bound/8.
-     else if (iflag_top_bound == 2) then
+     else if (iflag_top_bound == 2) THEN
   ! sponge quenching over topmost layers down to pressures which are
   ! higher than 100 times the topmost layer pressure
@@ -106,10 +106,10 @@
      rdamp(:)=1.-exp(-lambda(:)*dt)
 
-     write(lunout,*)'TOP_BOUND mode',mode_top_bound
-     write(lunout,*)'Sponge layer coefficients'
-     write(lunout,*)'p (Pa)  z(km)  tau(s)   1./tau (Hz)'
+     WRITE(lunout,*)'TOP_BOUND mode',mode_top_bound
+     WRITE(lunout,*)'Sponge layer coefficients'
+     WRITE(lunout,*)'p (Pa)  z(km)  tau(s)   1./tau (Hz)'
      do l=1,llm
-       if (rdamp(l)/=0.) then
-         write(lunout,'(6(1pe12.4,1x))') &
+       if (rdamp(l)/=0.) THEN
+         WRITE(lunout,'(6(1pe12.4,1x))') &
                presnivs(l),log(preff/presnivs(l))*scaleheight, &
                1./lambda(l),lambda(l)
@@ -125,5 +125,5 @@
 
   ! compute zonal average of vcov (or set it to zero)
-  if (mode_top_bound>=2) then
+  if (mode_top_bound>=2) THEN
    jjb=jj_begin
    jje=jj_end
@@ -153,5 +153,5 @@
 
   ! compute zonal average of u (or set it to zero)
-  if (mode_top_bound>=2) then
+  if (mode_top_bound>=2) THEN
    jjb=jj_begin
    jje=jj_end
@@ -180,5 +180,5 @@
 
   ! compute zonal average of potential temperature, if necessary
-  if (mode_top_bound>=3) then
+  if (mode_top_bound>=3) THEN
    jjb=jj_begin
    jje=jj_end
@@ -200,5 +200,5 @@
   endif ! of if (mode_top_bound.ge.3)
 
-  if (mode_top_bound>=1) then
+  if (mode_top_bound>=1) THEN
    ! Apply sponge quenching on vcov:
    jjb=jj_begin
@@ -235,5 +235,5 @@
   endif ! of if (mode_top_bound.ge.1)
 
-  if (mode_top_bound>=3) then
+  if (mode_top_bound>=3) THEN
    ! Apply sponge quenching on teta:
    jjb=jj_begin
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5116)
@@ -53,5 +53,5 @@
   INTEGER :: ijb, ije, ijb_x, ije_x
 
-  !write(*,*) 'vlsplt 58: entree dans vlx_loc, iq,ijb_x=',
+  !WRITE(*,*) 'vlsplt 58: entree dans vlx_loc, iq,ijb_x=',
   ! &   iq,ijb_x
   !   calcul de la pente a droite et a gauche de la maille
@@ -145,5 +145,5 @@
   ENDIF ! (pente_max.lt.-1.e-5)
 
-  !write(*,*) 'vlx 156: iq,ijb_x=',iq,ijb_x
+  !WRITE(*,*) 'vlx 156: iq,ijb_x=',iq,ijb_x
 
   !   bouclage de la pente en iip1:
@@ -418,5 +418,5 @@
 
   REAL :: convpn, convps, convmpn, convmps
-  real :: massepn, masseps, qpn, qps
+  REAL :: massepn, masseps, qpn, qps
   REAL :: sinlon(iip1), sinlondlon(iip1)
   REAL :: coslon(iip1), coslondlon(iip1)
@@ -474,5 +474,5 @@
     !    le pole nord) qui sera utilisee pour evaluer les pentes au pole.
 
-    if (pole_nord) then
+    if (pole_nord) THEN
       DO i = 1, iim
         airescb(i) = aire(i + iip1) * q(i + iip1, l, iq)
@@ -481,5 +481,5 @@
     endif
 
-    if (pole_sud) then
+    if (pole_sud) THEN
       DO i = 1, iim
         airesch(i) = aire(i + ip1jm - iip1) * q(i + ip1jm - iip1, l, iq)
@@ -691,5 +691,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  ! write(*,*)'vly 689: iq,nqChildren(iq)=',iq,tracers(iq)%nqChildren
+  ! WRITE(*,*)'vly 689: iq,nqChildren(iq)=',iq,tracers(iq)%nqChildren
 
   ijb = ij_begin - 2 * iip1
@@ -750,5 +750,5 @@
     ENDDO
 
-    if (pole_nord) then
+    if (pole_nord) THEN
       convpn = SSUM(iim, qbyv(1, l), 1)
       convmpn = ssum(iim, masse_adv_v(1, l), 1)
@@ -764,6 +764,5 @@
     endif
 
-    if (pole_sud) then
-
+    if (pole_sud) THEN
       convps = -SSUM(iim, qbyv(ip1jm - iim, l), 1)
       convmps = -ssum(iim, masse_adv_v(ip1jm - iim, l), 1)
@@ -870,5 +869,5 @@
   !    sens de W
 
-  !write(*,*) 'vlsplt 926: entree dans vlz_loc, iq=',iq
+  !WRITE(*,*) 'vlsplt 926: entree dans vlz_loc, iq=',iq
 
   ijb = ijb_x
@@ -938,5 +937,5 @@
     ! calcul de  - d( q   * w )/ d(sigma)    qu'on ajoute a  dq pour calculer dq
 
-    !  !write(*,*) 'vlz 982,ijb,ije=',ijb,ije
+    !  !WRITE(*,*) 'vlz 982,ijb,ije=',ijb,ije
     !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l = 1, llm - 1
@@ -954,5 +953,5 @@
     ENDDO
     !$OMP END DO NOWAIT
-    !write(*,*) 'vlz 1001'
+    !WRITE(*,*) 'vlz 1001'
 
   ELSE ! countcfl>=1
@@ -1015,5 +1014,5 @@
             ! CRisi 24nov2020: ajout d'un message d'erreur clair au lieu d'un plantage
             ! pour seg fault
-            if (lorig(ij, l)==0) then
+            if (lorig(ij, l)==0) THEN
               CALL abort_gcm("vlz in vlsplt_loc", &
                       "unfixable violation of CFL", 1)
@@ -1058,5 +1057,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  ! write(*,*)'vlsplt 942: iq,nqChildren(iq)=',iq,tracers(iq)%nqChildren
+  ! WRITE(*,*)'vlsplt 942: iq,nqChildren(iq)=',iq,tracers(iq)%nqChildren
   do ifils = 1, tracers(iq)%nqDescen
     iq2 = tracers(iq)%iqDescen(ifils)
@@ -1066,5 +1065,5 @@
         !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij, l, iq2) = max(masse(ij, l, iq) * q(ij, l, iq), min_qMass)
-        if (q(ij, l, iq)>min_qParent) then
+        if (q(ij, l, iq)>min_qParent) THEN
           Ratio(ij, l, iq2) = q(ij, l, iq2) / q(ij, l, iq)
         else
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5116)
@@ -190,5 +190,5 @@
     ! CRisi: on ne boucle que sur les pères= ceux qui sont transportés directement par l'air
     IF(tracers(iq)%parent /= 'air') CYCLE
-    !write(*,*) 'vlspltgen 192: iq,iadv=',iq,tracers(iq)%iadv
+    !WRITE(*,*) 'vlspltgen 192: iq,iadv=',iq,tracers(iq)%iadv
     SELECT CASE(tracers(iq)%iadv)
     CASE(0); CYCLE
@@ -259,5 +259,5 @@
   do iq = 1, nqtot
     IF(tracers(iq)%parent /= 'air') CYCLE
-    !write(*,*) 'vlspltgen 279: iq=',iq
+    !WRITE(*,*) 'vlspltgen 279: iq=',iq
 
     SELECT CASE(tracers(iq)%iadv)
@@ -359,5 +359,5 @@
   do iq = 1, nqtot
     IF(tracers(iq)%parent /= 'air') CYCLE
-    !write(*,*) 'vlspltgen 409: iq=',iq
+    !WRITE(*,*) 'vlspltgen 409: iq=',iq
 
     SELECT CASE(tracers(iq)%iadv)
@@ -370,8 +370,8 @@
 
   enddo
-  !write(*,*) 'vlspltgen_loc 476'
-
-  !$OMP BARRIER
-  !write(*,*) 'vlspltgen_loc 477'
+  !WRITE(*,*) 'vlspltgen_loc 476'
+
+  !$OMP BARRIER
+  !WRITE(*,*) 'vlspltgen_loc 477'
   !$OMP MASTER
   CALL VTb(VTHallo)
@@ -389,5 +389,5 @@
 
 
-  !write(*,*) 'vlspltgen_loc 494'
+  !WRITE(*,*) 'vlspltgen_loc 494'
   CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 461')
 
@@ -420,5 +420,5 @@
   enddo !do iq=1,nqtot
 
-  !write(*,*) 'vlspltgen 550: apres derniere serie de CALL vlx'
+  !WRITE(*,*) 'vlspltgen 550: apres derniere serie de CALL vlx'
   CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 521')
 
@@ -457,5 +457,5 @@
   !c$OMP BARRIER
 
-  !write(*,*) 'vlspltgen 597: sortie'
+  !WRITE(*,*) 'vlspltgen 597: sortie'
 
 END SUBROUTINE vlspltgen_loc
